#!/bin/sh

# Set Variables 
XF86_LIB_DIR="/usr/lib64/xorg/modules"
XF86_DRV_DIR="/usr/lib64/xorg/modules/drivers"

# Uninstall
if [ "$1" = "uninstall" ]; then
echo "AST2000/2100 Linux XORG 7.4 driver uninstall begin ...."
rm -f $XF86_DRV_DIR/ast_drv.*

test -e ./backup/ast_drv.so && cp -f ./backup/ast_drv.*   $XF86_DRV_DIR/ast_drv.*

rm -rf ./backup
echo "AST2000/2100 Linux XORG 7.4 driver Uninstall Finished"
exit 0
fi

# Install
echo "AST2000/2100 Linux XORG 7.4 driver update begin ...."
rm -rf ./backup
mkdir ./backup
test -e $XF86_DRV_DIR/ast_drv.so && cp -f $XF86_DRV_DIR/ast_drv.* ./backup

rm -f $XF86_DRV_DIR/ast_drv.*

cp -f ast_drv.*   $XF86_DRV_DIR

echo "AST2000/2100 Linux XORG 7.4 driver update finished"

